<script>
  // Dimensions
  const width = 800;
  const height = 100;
  const margin = { top: 5, right: 5, bottom: 5, left: 5 };
  const innerWidth = width - margin.left - margin.right;
  const innerHeight = height - margin.top - margin.bottom;

  // Import Scale
  import {scaleLog} from 'd3-scale';

  // Array
  const values = [2, 4, 6, 7, 9];

  // Create scale
  const xScale = scaleLog().domain([1,10]).range([0,width-20]);
</script>

<style>
  circle{
    fill: steelblue;
    fill-opacity: 1;
  }
</style>  

<svg viewBox="0 0 {width} {height}">
  <g transform="translate({margin.left},{margin.top})">
    {#each values as dp}
      <circle cx={xScale(dp)}
              cy=50
              r=10/>
    {/each}
  </g>
</svg>
